# Regigigas
- Adds Regigigas, a powerful new boss that spawns on Siren's Call, Sundered Grove, and post-loop Titanic Plains, Abandoned Aqueduct, Wetland Aspect and Rallypoint Delta
- Includes a playable version in config, disabled by default

[![](https://cdn.discordapp.com/attachments/469291841859092488/817547733132640326/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/817549094712901662/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/469291841859092488/817550601503113238/texRegigigasIcon.png)]()

## Skills

### Slow Start

For the first 10 kills after spawning, `attack speed`, `damage` and `movement speed` are halved. `Armor` is doubled during this time.


### Crush Grip

Grab a nearby enemy and crush them, dealing 50% of their max health, then throw them.


### Earth Power

Stomp with all your might, summoning pillars of flame that deal 600% damage.
    
### Revenge (usable below 50% hp)

Freeze up for 8 seconds, gaining 500 armor. At the end, release a massive blast for double the damage receieved during this time. Radius scales up with damage taken, up to a limit.

## TODO
- Needs lots of polish all around
- still needs a few more sotv fixes

## Credits
YinDragon - [Skill icons](https://www.deviantart.com/yindragon/art/Pixelmon-External-Move-Icons-530204137)

## Known Issues
- Crush Grip may have issues when used by players online
- slow start debuff doesn't apply after the first stage

## Changelog
`1.3.2`
- fixed mastery achievement for you shiny hunters
- attempt to optimize drain punch's two getcomponents
- regigigas is now immune to slows because he is made of the elements or something like that
- moved some buff stuff to recalculatestatsapi

`1.3.1`
- added weakpoint
- tweaked sounds

`1.3.0`
- updated for sotv. see known issues above
- made spawning animation for player regigigas only happen on the first stage (like acrid)
- fixed skill selection not being remembered
- fixed wife nagging about him not being fixed yet

`1.2.2`
- Revenge armor buff now lasts until the attack actually goes off
- Fixed weird Slow Start behavior in multiplayer

`1.2.1`
- Slow Start is now a stacked debuff that goes down as you score kills
- Fixed Slow Start not working in multiplayer

`1.2.0`
- Slow Start for playable Regigigas reworked- now visualized as a debuff, and is removed after getting 10 kills
- Now drops Pearls as its boss item
- Regigigas now has a 1/8192 chance to spawn as a Shiny and drop a guaranteed Irradiant Pearl on death- chance is configurable
- Base armor 40 > 20
- Revenge base radius increased
- Revenge base duration decreased
- Revenge damage return 200% > 300%
- Revenge postprocessing duration changed to match the channel duration
- Ancient Power projectile speed increased
- Reimplemented mastery skin achievement
- Added a few more item displays
- Fixed Giga Impact secondary explosion not doing damage
- Fixed a bug causing players to get stuck forever if they killed Regigigas while they were grabbed

`1.1.1`
- Fixed for latest RoR2 update
- Updated camera stuff, Ancient Power now has a crosshair

`1.1.0`
- Slow Start now doubles armor for the duration
- Slow Start duration now scales down with level
- Slow start now has a slight visual indicator when activated
- Earth Power damage 1200% > 600%- now inflicts burn
- Added new primary: Drain Punch
- Added new experimental secondary: Ancient Power
- Added new experimental special: Giga Impact
- Added placeholder skill icons
- Added area indicator for Revenge's radius
- Revenge channel duration no longer scales with attack speed
- Rebalanced base stats for survivor variant
- Increased spawn weight in Sundered Grove to 2
- Base armor 0 > 20
- Fixed item displays
- Fixed idle animation not looping after Slow Start had activated
- Fixed aim animation being slightly off-center
- Fixed Wax Quails not applying to jump
- Fixed buggy jump animation
- Fixed glow bugging out with multiple Regis on the map

`1.0.5`
- Fixed to work on latest RoR2 version
- Fixed a bug causing players to get stuck forever if they killed Regigigas during a grab
- Increased Revenge radius

`1.0.4`
- Fixed a bug causing Regigigas to never actually spawn as a boss

`1.0.3`
- Base health 2100 > 4200
- Base health per level 630 > 1260
- Base armor 20 > 0
- Added Mastery skin
- Added a different set of animations for when Slow Start is finished
- Added death animation
- Added alt primary: Brick Break
- Added some new sounds
- Added new Earth Power visuals
- Earth Power projectile count 5 > 14
- Earth Power damage 900% > 1200%, no longer rotates or applies Cripple
- Fixed oversized particles

`1.0.2`
- Fixed playable Regigigas always being enabled

`1.0.1`
- Fixed some networking issues
- Moved up aim origin so projectiles don't come from his crotch
- Crosshair is no longer hidden when Visions of Heresy is held
- Added item display for Visions of Heresy

`1.0.0`
- Initial Release